import { WrText } from '../../../model/document';
import { LayoutContext } from '../../LayoutContext';
import { TextRun } from '../../../view/runs/TextRun';
import { TableCell } from '../../../view/TableCell';
import { HandlerContext } from '../../types';
export declare abstract class WidgetBaseHandler {
    context: LayoutContext;
    wr: WrText;
    constructor(ctx: HandlerContext);
    /**
     * 获取所在单元格
     * @returns
     */
    getCell(): TableCell | null;
    /**
     * 获取所在子表的数据索引
     * @returns
     */
    getDataIndex(init?: 0 | null): number | null;
    getPaperIndex(): number | null;
    getId(): string;
    get2DInfo(): {
        xDataIndex: number | undefined;
        yDataIndex: number | undefined;
    };
    getLayoutStyle(): ReturnType<typeof TextRun.textStyle2LayoutStyle>;
    abstract layout(): void;
}
